Bug 755198 - polipo do not work after installation
Summary: polipo do not work after installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: polipo
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-19 12:33 UTC by Michael S.
Modified: 2012-02-01 19:30 UTC (History)
1 user (show)

Fixed In Version: polipo-1.0.4.1-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-01 19:27:31 UTC


Attachments (Terms of Use)

Description Michael S. 2011-11-19 12:33:13 UTC
Upon installation, the directory /var/run/polipo is not created preventing polipo from starting without creating it by hand, or rebooting the system.


Without the directory, the daemon do not start, with a message "canot create pid file", and yet, systemd do not detect that the server didn't start.

Comment 1 Bernard Johnson 2011-11-21 02:55:29 UTC
Can you let me know if you installed and tried to run polipo before a system reboot?  If so, can you try manually removing /var/run/polipo (after stopping it) and then reboot and let me know if the directory is created correctly?

Comment 2 Michael S. 2011-11-21 10:19:46 UTC
I installed polipo, and wanted to use it right away. 

And if i remove the directory, and reboot, it got correctly recreated.

Comment 3 Fedora Update System 2012-01-23 03:31:14 UTC
polipo-1.0.4.1-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/polipo-1.0.4.1-6.fc16

Comment 4 Fedora Update System 2012-01-23 03:32:42 UTC
polipo-1.0.4.1-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/polipo-1.0.4.1-6.fc15

Comment 5 Fedora Update System 2012-01-23 22:00:43 UTC
Package polipo-1.0.4.1-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polipo-1.0.4.1-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0840/polipo-1.0.4.1-6.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-02-01 19:27:31 UTC
polipo-1.0.4.1-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-02-01 19:30:11 UTC
polipo-1.0.4.1-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.